<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-other.qdoc -->
  <title>Using Other Build Systems | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Using Other Build Systems</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-os-supported-platforms.html" />
  <link rel="next" href="creator-project-cmake.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-os-supported-platforms.html">Supported Platforms</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-project-cmake.html">Setting Up CMake</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Using Other Build Systems</h1>
<span class="subtitle"></span>
<!-- $$$creator-project-other.html-description -->
<div class="descr"> <a name="details"></a>
<p>Most Qt Creator project wizards enable you to choose the build system to use for building the project: qmake, CMake, or Qbs. qmake is installed and configured when you install Qt. To use one of the other supported build systems, you need to set it up, as described in the the following sections:</p>
<ul>
<li><a href="creator-project-cmake.html">Setting Up CMake</a><p>CMake is an alternative to qmake for automating the generation of build configurations.</p>
</li>
<li><a href="creator-project-qbs.html">Setting Up Qbs</a><p><a href="http://doc.qt.io/qbs/index.html">Qbs</a> is an all-in-one build tool that generates a build graph from a high-level project description (like qmake or CMake do) and executes the commands in the low-level build graph (like make does).</p>
</li>
<li><a href="creator-projects-autotools.html">Setting Up an Autotools Project</a><p>Qt Creator can open projects that use the Autotools build system. You can build and run the projects directly from Qt Creator.</p>
</li>
<li><a href="creator-project-generic.html">Setting Up a Generic Project</a><p>Qt Creator supports generic projects, so you can import existing projects that do not use qmake or CMake. This enables you to use Qt Creator as a code editor and to fully control the steps and commands used to build the project.</p>
</li>
</ul>
</div>
<!-- @@@creator-project-other.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-os-supported-platforms.html">Supported Platforms</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-project-cmake.html">Setting Up CMake</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
